version: '3.4'
volumes:
  mongo-data:
    name: cyb-db
  mongo-backup:
    name: cyb-db-backup
services:
  mongo:
    container_name: tezos-cyb-mongo
    image: mongo:4.2.3
    ports:
      - '27017:27017'
    volumes:
      - 'mongo-data:/data/db'
    environment:
      MONGO_INITDB_ROOT_USERNAME: root
      MONGO_INITDB_ROOT_PASSWORD: password
      MONGO_INITDB_DATABASE: tezos-cyb
    restart: unless-stopped
  mongo-backup:
    container_name: tezos-cyb-mongo-backup
    image: istepanov/mongodump:4.2
    environment:
      MONGO_URI: 'mongodb://root:password@mongo:27017'
      CRON_SCHEDULE: '*/10 * * * *'
    volumes:
      - mongo-backup:/backup
    restart: unless-stopped
    depends_on:
      - mongo
  mongo-express:
    container_name: tezos-cyb-mongo-express
    image: 'mongo-express:0.54.0'
    ports:
      - '8081:8081'
    environment:
      ME_CONFIG_MONGODB_ADMINUSERNAME: root
      ME_CONFIG_MONGODB_ADMINPASSWORD: password
    restart: unless-stopped
    depends_on:
      - mongo
  node:
    container_name: tezos-cyb-sandbox-node
    image: 'coexyaedi/tezos-sandbox-mempool'
    environment:
      PRIVATE_BAKERS: 1
      BLOCK_LIMIT: "200_000_000"
      CYB_BAKER_URL_0: "http://localhost:9091/api/mempool"
      ROOT_PATH: "/tezos-data/sandbox"
      BASE_PORT: 20000
    network_mode: host
    restart: unless-stopped
